// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/jit"
)

/******************************************************************************
 *
 * @Description              : ShipOrderDatalst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-25 13:36:01
 *
 ******************************************************************************/
var ShipOrderDatalst_PlantNr = grmi.NewField("PlantNr", "[JIT_ShipOrderDatalst].PlantNr", "plantnr", grmi.TypeInt)
var ShipOrderDatalst_ShipOrderId = grmi.NewField("ShipOrderId", "[JIT_ShipOrderDatalst].ShipOrderId", "shiporderid", grmi.TypeString)
var ShipOrderDatalst_Pos = grmi.NewField("Pos", "[JIT_ShipOrderDatalst].Pos", "pos", grmi.TypeInt)
var ShipOrderDatalst_ShipObjId = grmi.NewField("ShipObjId", "[JIT_ShipOrderDatalst].ShipObjId", "shipobjid", grmi.TypeString)
var ShipOrderDatalst_ShipObjBarcode = grmi.NewField("ShipObjBarcode", "[JIT_ShipOrderDatalst].ShipObjBarcode", "shipobjbarcode", grmi.TypeString)
var ShipOrderDatalst_ItemId = grmi.NewField("ItemId", "[JIT_ShipOrderDatalst].ItemId", "itemid", grmi.TypeString)
var ShipOrderDatalst_Status = grmi.NewField("Status", "[JIT_ShipOrderDatalst].Status", "status", grmi.TypeInt)
var ShipOrderDatalst_PlanQty = grmi.NewField("PlanQty", "[JIT_ShipOrderDatalst].PlanQty", "planqty", grmi.TypeInt)
var ShipOrderDatalst_ActualQty = grmi.NewField("ActualQty", "[JIT_ShipOrderDatalst].ActualQty", "actualqty", grmi.TypeInt)
var ShipOrderDatalst_CtrlPara1 = grmi.NewField("CtrlPara1", "[JIT_ShipOrderDatalst].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var ShipOrderDatalst_CtrlPara2 = grmi.NewField("CtrlPara2", "[JIT_ShipOrderDatalst].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var ShipOrderDatalst_CtrlPara3 = grmi.NewField("CtrlPara3", "[JIT_ShipOrderDatalst].CtrlPara3", "ctrlpara3", grmi.TypeInt)
var ShipOrderDatalst_CtrlPara4 = grmi.NewField("CtrlPara4", "[JIT_ShipOrderDatalst].CtrlPara4", "ctrlpara4", grmi.TypeInt)
var ShipOrderDatalst_CtrlStr1 = grmi.NewField("CtrlStr1", "[JIT_ShipOrderDatalst].CtrlStr1", "ctrlstr1", grmi.TypeString)
var ShipOrderDatalst_CtrlStr2 = grmi.NewField("CtrlStr2", "[JIT_ShipOrderDatalst].CtrlStr2", "ctrlstr2", grmi.TypeString)
var ShipOrderDatalst_CtrlStr3 = grmi.NewField("CtrlStr3", "[JIT_ShipOrderDatalst].CtrlStr3", "ctrlstr3", grmi.TypeString)
var ShipOrderDatalst_CtrlStr4 = grmi.NewField("CtrlStr4", "[JIT_ShipOrderDatalst].CtrlStr4", "ctrlstr4", grmi.TypeString)
var ShipOrderDatalst_CtrlTime1 = grmi.NewField("CtrlTime1", "[JIT_ShipOrderDatalst].CtrlTime1", "ctrltime1", grmi.TypeDateTime)
var ShipOrderDatalst_CtrlTime2 = grmi.NewField("CtrlTime2", "[JIT_ShipOrderDatalst].CtrlTime2", "ctrltime2", grmi.TypeDateTime)
var ShipOrderDatalst_CtrlTime3 = grmi.NewField("CtrlTime3", "[JIT_ShipOrderDatalst].CtrlTime3", "ctrltime3", grmi.TypeDateTime)
var ShipOrderDatalst_CtrlTime4 = grmi.NewField("CtrlTime4", "[JIT_ShipOrderDatalst].CtrlTime4", "ctrltime4", grmi.TypeDateTime)
var ShipOrderDatalst_LastModify = grmi.NewField("LastModify", "[JIT_ShipOrderDatalst].LastModify", "lastmodify", grmi.TypeDateTime)
var ShipOrderDatalst_LastUser = grmi.NewField("LastUser", "[JIT_ShipOrderDatalst].LastUser", "lastuser", grmi.TypeString)
var ShipOrderDatalst_CreateTime = grmi.NewField("CreateTime", "[JIT_ShipOrderDatalst].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ShipOrderDatalst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-25 13:36:01
 *
 ******************************************************************************/
var ShipOrderDatalst = grmi.NewEntity(
	"JIT_ShipOrderDatalst",
	func() interface{} { return &model.ShipOrderDatalst{} },
	map[string]grmi.Field{
		ShipOrderDatalst_PlantNr.Name:        ShipOrderDatalst_PlantNr,
		ShipOrderDatalst_ShipOrderId.Name:    ShipOrderDatalst_ShipOrderId,
		ShipOrderDatalst_Pos.Name:            ShipOrderDatalst_Pos,
		ShipOrderDatalst_ShipObjId.Name:      ShipOrderDatalst_ShipObjId,
		ShipOrderDatalst_ShipObjBarcode.Name: ShipOrderDatalst_ShipObjBarcode,
		ShipOrderDatalst_ItemId.Name:         ShipOrderDatalst_ItemId,
		ShipOrderDatalst_Status.Name:         ShipOrderDatalst_Status,
		ShipOrderDatalst_PlanQty.Name:        ShipOrderDatalst_PlanQty,
		ShipOrderDatalst_ActualQty.Name:      ShipOrderDatalst_ActualQty,
		ShipOrderDatalst_CtrlPara1.Name:      ShipOrderDatalst_CtrlPara1,
		ShipOrderDatalst_CtrlPara2.Name:      ShipOrderDatalst_CtrlPara2,
		ShipOrderDatalst_CtrlPara3.Name:      ShipOrderDatalst_CtrlPara3,
		ShipOrderDatalst_CtrlPara4.Name:      ShipOrderDatalst_CtrlPara4,
		ShipOrderDatalst_CtrlStr1.Name:       ShipOrderDatalst_CtrlStr1,
		ShipOrderDatalst_CtrlStr2.Name:       ShipOrderDatalst_CtrlStr2,
		ShipOrderDatalst_CtrlStr3.Name:       ShipOrderDatalst_CtrlStr3,
		ShipOrderDatalst_CtrlStr4.Name:       ShipOrderDatalst_CtrlStr4,
		ShipOrderDatalst_CtrlTime1.Name:      ShipOrderDatalst_CtrlTime1,
		ShipOrderDatalst_CtrlTime2.Name:      ShipOrderDatalst_CtrlTime2,
		ShipOrderDatalst_CtrlTime3.Name:      ShipOrderDatalst_CtrlTime3,
		ShipOrderDatalst_CtrlTime4.Name:      ShipOrderDatalst_CtrlTime4,
		ShipOrderDatalst_LastModify.Name:     ShipOrderDatalst_LastModify,
		ShipOrderDatalst_LastUser.Name:       ShipOrderDatalst_LastUser,
		ShipOrderDatalst_CreateTime.Name:     ShipOrderDatalst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"ShipObjId", "ShipObjBarcode", "ItemId", "Status", "PlanQty", "ActualQty", "CtrlPara1", "CtrlPara2", "CtrlPara3", "CtrlPara4", "CtrlStr1", "CtrlStr2", "CtrlStr3", "CtrlStr4", "CtrlTime1", "CtrlTime2", "CtrlTime3", "CtrlTime4", "LastUser"})
