// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/jit"
)

/******************************************************************************
 *
 * @Description              : ShipOrderItemlst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-25 13:36:01
 *
 ******************************************************************************/
var ShipOrderItemlst_PlantNr = grmi.NewField("PlantNr", "[JIT_ShipOrderItemlst].PlantNr", "plantnr", grmi.TypeInt)
var ShipOrderItemlst_ShipOrderId = grmi.NewField("ShipOrderId", "[JIT_ShipOrderItemlst].ShipOrderId", "shiporderid", grmi.TypeString)
var ShipOrderItemlst_ItemId = grmi.NewField("ItemId", "[JIT_ShipOrderItemlst].ItemId", "itemid", grmi.TypeString)
var ShipOrderItemlst_ItemType = grmi.NewField("ItemType", "[JIT_ShipOrderItemlst].ItemType", "itemtype", grmi.TypeString)
var ShipOrderItemlst_Pos = grmi.NewField("Pos", "[JIT_ShipOrderItemlst].Pos", "pos", grmi.TypeInt)
var ShipOrderItemlst_ShipValidateToggle = grmi.NewField("ShipValidateToggle", "[JIT_ShipOrderItemlst].ShipValidateToggle", "shipvalidatetoggle", grmi.TypeBool)
var ShipOrderItemlst_Descr = grmi.NewField("Descr", "[JIT_ShipOrderItemlst].Descr", "descr", grmi.TypeString)
var ShipOrderItemlst_ProjectId = grmi.NewField("ProjectId", "[JIT_ShipOrderItemlst].ProjectId", "projectid", grmi.TypeString)
var ShipOrderItemlst_ArtCode = grmi.NewField("ArtCode", "[JIT_ShipOrderItemlst].ArtCode", "artcode", grmi.TypeString)
var ShipOrderItemlst_Spec = grmi.NewField("Spec", "[JIT_ShipOrderItemlst].Spec", "spec", grmi.TypeString)
var ShipOrderItemlst_Status = grmi.NewField("Status", "[JIT_ShipOrderItemlst].Status", "status", grmi.TypeInt)
var ShipOrderItemlst_Sequence = grmi.NewField("Sequence", "[JIT_ShipOrderItemlst].Sequence", "sequence", grmi.TypeInt)
var ShipOrderItemlst_SlotId = grmi.NewField("SlotId", "[JIT_ShipOrderItemlst].SlotId", "slotid", grmi.TypeString)
var ShipOrderItemlst_Carset = grmi.NewField("Carset", "[JIT_ShipOrderItemlst].Carset", "carset", grmi.TypeString)
var ShipOrderItemlst_PlanQty = grmi.NewField("PlanQty", "[JIT_ShipOrderItemlst].PlanQty", "planqty", grmi.TypeInt)
var ShipOrderItemlst_ActualQty = grmi.NewField("ActualQty", "[JIT_ShipOrderItemlst].ActualQty", "actualqty", grmi.TypeInt)
var ShipOrderItemlst_OrderQty = grmi.NewField("OrderQty", "[JIT_ShipOrderItemlst].OrderQty", "orderqty", grmi.TypeInt)
var ShipOrderItemlst_GoodQty = grmi.NewField("GoodQty", "[JIT_ShipOrderItemlst].GoodQty", "goodqty", grmi.TypeInt)
var ShipOrderItemlst_ScrapQty = grmi.NewField("ScrapQty", "[JIT_ShipOrderItemlst].ScrapQty", "scrapqty", grmi.TypeInt)
var ShipOrderItemlst_RecievedQty = grmi.NewField("RecievedQty", "[JIT_ShipOrderItemlst].RecievedQty", "recievedqty", grmi.TypeInt)
var ShipOrderItemlst_SupplierPartId = grmi.NewField("SupplierPartId", "[JIT_ShipOrderItemlst].SupplierPartId", "supplierpartid", grmi.TypeString)
var ShipOrderItemlst_CustomerPartId = grmi.NewField("CustomerPartId", "[JIT_ShipOrderItemlst].CustomerPartId", "customerpartid", grmi.TypeString)
var ShipOrderItemlst_PartId = grmi.NewField("PartId", "[JIT_ShipOrderItemlst].PartId", "partid", grmi.TypeString)
var ShipOrderItemlst_PartName = grmi.NewField("PartName", "[JIT_ShipOrderItemlst].PartName", "partname", grmi.TypeString)
var ShipOrderItemlst_FillQty = grmi.NewField("FillQty", "[JIT_ShipOrderItemlst].FillQty", "fillqty", grmi.TypeInt)
var ShipOrderItemlst_ShortShipToggle = grmi.NewField("ShortShipToggle", "[JIT_ShipOrderItemlst].ShortShipToggle", "shortshiptoggle", grmi.TypeBool)
var ShipOrderItemlst_ShortShipQty = grmi.NewField("ShortShipQty", "[JIT_ShipOrderItemlst].ShortShipQty", "shortshipqty", grmi.TypeInt)
var ShipOrderItemlst_ShortBy = grmi.NewField("ShortBy", "[JIT_ShipOrderItemlst].ShortBy", "shortby", grmi.TypeString)
var ShipOrderItemlst_ShortTime = grmi.NewField("ShortTime", "[JIT_ShipOrderItemlst].ShortTime", "shorttime", grmi.TypeDateTime)
var ShipOrderItemlst_CtrlPara1 = grmi.NewField("CtrlPara1", "[JIT_ShipOrderItemlst].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var ShipOrderItemlst_CtrlPara2 = grmi.NewField("CtrlPara2", "[JIT_ShipOrderItemlst].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var ShipOrderItemlst_CtrlPara3 = grmi.NewField("CtrlPara3", "[JIT_ShipOrderItemlst].CtrlPara3", "ctrlpara3", grmi.TypeInt)
var ShipOrderItemlst_CtrlPara4 = grmi.NewField("CtrlPara4", "[JIT_ShipOrderItemlst].CtrlPara4", "ctrlpara4", grmi.TypeInt)
var ShipOrderItemlst_CtrlStr1 = grmi.NewField("CtrlStr1", "[JIT_ShipOrderItemlst].CtrlStr1", "ctrlstr1", grmi.TypeString)
var ShipOrderItemlst_CtrlStr2 = grmi.NewField("CtrlStr2", "[JIT_ShipOrderItemlst].CtrlStr2", "ctrlstr2", grmi.TypeString)
var ShipOrderItemlst_CtrlStr3 = grmi.NewField("CtrlStr3", "[JIT_ShipOrderItemlst].CtrlStr3", "ctrlstr3", grmi.TypeString)
var ShipOrderItemlst_CtrlStr4 = grmi.NewField("CtrlStr4", "[JIT_ShipOrderItemlst].CtrlStr4", "ctrlstr4", grmi.TypeString)
var ShipOrderItemlst_CtrlTime1 = grmi.NewField("CtrlTime1", "[JIT_ShipOrderItemlst].CtrlTime1", "ctrltime1", grmi.TypeDateTime)
var ShipOrderItemlst_CtrlTime2 = grmi.NewField("CtrlTime2", "[JIT_ShipOrderItemlst].CtrlTime2", "ctrltime2", grmi.TypeDateTime)
var ShipOrderItemlst_CtrlTime3 = grmi.NewField("CtrlTime3", "[JIT_ShipOrderItemlst].CtrlTime3", "ctrltime3", grmi.TypeDateTime)
var ShipOrderItemlst_CtrlTime4 = grmi.NewField("CtrlTime4", "[JIT_ShipOrderItemlst].CtrlTime4", "ctrltime4", grmi.TypeDateTime)
var ShipOrderItemlst_LastModify = grmi.NewField("LastModify", "[JIT_ShipOrderItemlst].LastModify", "lastmodify", grmi.TypeDateTime)
var ShipOrderItemlst_LastUser = grmi.NewField("LastUser", "[JIT_ShipOrderItemlst].LastUser", "lastuser", grmi.TypeString)
var ShipOrderItemlst_CreateTime = grmi.NewField("CreateTime", "[JIT_ShipOrderItemlst].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ShipOrderItemlst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-25 13:36:01
 *
 ******************************************************************************/
var ShipOrderItemlst = grmi.NewEntity(
	"JIT_ShipOrderItemlst",
	func() interface{} { return &model.ShipOrderItemlst{} },
	map[string]grmi.Field{
		ShipOrderItemlst_PlantNr.Name:            ShipOrderItemlst_PlantNr,
		ShipOrderItemlst_ShipOrderId.Name:        ShipOrderItemlst_ShipOrderId,
		ShipOrderItemlst_ItemId.Name:             ShipOrderItemlst_ItemId,
		ShipOrderItemlst_ItemType.Name:           ShipOrderItemlst_ItemType,
		ShipOrderItemlst_Pos.Name:                ShipOrderItemlst_Pos,
		ShipOrderItemlst_ShipValidateToggle.Name: ShipOrderItemlst_ShipValidateToggle,
		ShipOrderItemlst_Descr.Name:              ShipOrderItemlst_Descr,
		ShipOrderItemlst_ProjectId.Name:          ShipOrderItemlst_ProjectId,
		ShipOrderItemlst_ArtCode.Name:            ShipOrderItemlst_ArtCode,
		ShipOrderItemlst_Spec.Name:               ShipOrderItemlst_Spec,
		ShipOrderItemlst_Status.Name:             ShipOrderItemlst_Status,
		ShipOrderItemlst_Sequence.Name:           ShipOrderItemlst_Sequence,
		ShipOrderItemlst_SlotId.Name:             ShipOrderItemlst_SlotId,
		ShipOrderItemlst_Carset.Name:             ShipOrderItemlst_Carset,
		ShipOrderItemlst_PlanQty.Name:            ShipOrderItemlst_PlanQty,
		ShipOrderItemlst_ActualQty.Name:          ShipOrderItemlst_ActualQty,
		ShipOrderItemlst_OrderQty.Name:           ShipOrderItemlst_OrderQty,
		ShipOrderItemlst_GoodQty.Name:            ShipOrderItemlst_GoodQty,
		ShipOrderItemlst_ScrapQty.Name:           ShipOrderItemlst_ScrapQty,
		ShipOrderItemlst_RecievedQty.Name:        ShipOrderItemlst_RecievedQty,
		ShipOrderItemlst_SupplierPartId.Name:     ShipOrderItemlst_SupplierPartId,
		ShipOrderItemlst_CustomerPartId.Name:     ShipOrderItemlst_CustomerPartId,
		ShipOrderItemlst_PartId.Name:             ShipOrderItemlst_PartId,
		ShipOrderItemlst_PartName.Name:           ShipOrderItemlst_PartName,
		ShipOrderItemlst_FillQty.Name:            ShipOrderItemlst_FillQty,
		ShipOrderItemlst_ShortShipToggle.Name:    ShipOrderItemlst_ShortShipToggle,
		ShipOrderItemlst_ShortShipQty.Name:       ShipOrderItemlst_ShortShipQty,
		ShipOrderItemlst_ShortBy.Name:            ShipOrderItemlst_ShortBy,
		ShipOrderItemlst_ShortTime.Name:          ShipOrderItemlst_ShortTime,
		ShipOrderItemlst_CtrlPara1.Name:          ShipOrderItemlst_CtrlPara1,
		ShipOrderItemlst_CtrlPara2.Name:          ShipOrderItemlst_CtrlPara2,
		ShipOrderItemlst_CtrlPara3.Name:          ShipOrderItemlst_CtrlPara3,
		ShipOrderItemlst_CtrlPara4.Name:          ShipOrderItemlst_CtrlPara4,
		ShipOrderItemlst_CtrlStr1.Name:           ShipOrderItemlst_CtrlStr1,
		ShipOrderItemlst_CtrlStr2.Name:           ShipOrderItemlst_CtrlStr2,
		ShipOrderItemlst_CtrlStr3.Name:           ShipOrderItemlst_CtrlStr3,
		ShipOrderItemlst_CtrlStr4.Name:           ShipOrderItemlst_CtrlStr4,
		ShipOrderItemlst_CtrlTime1.Name:          ShipOrderItemlst_CtrlTime1,
		ShipOrderItemlst_CtrlTime2.Name:          ShipOrderItemlst_CtrlTime2,
		ShipOrderItemlst_CtrlTime3.Name:          ShipOrderItemlst_CtrlTime3,
		ShipOrderItemlst_CtrlTime4.Name:          ShipOrderItemlst_CtrlTime4,
		ShipOrderItemlst_LastModify.Name:         ShipOrderItemlst_LastModify,
		ShipOrderItemlst_LastUser.Name:           ShipOrderItemlst_LastUser,
		ShipOrderItemlst_CreateTime.Name:         ShipOrderItemlst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"ItemType", "Pos", "ShipValidateToggle", "Descr", "ProjectId", "ArtCode", "Spec", "Status", "Sequence", "SlotId", "Carset", "PlanQty", "ActualQty", "OrderQty", "GoodQty", "ScrapQty", "RecievedQty", "SupplierPartId", "CustomerPartId", "PartId", "PartName", "FillQty", "ShortShipToggle", "ShortShipQty", "ShortBy", "ShortTime", "CtrlPara1", "CtrlPara2", "CtrlPara3", "CtrlPara4", "CtrlStr1", "CtrlStr2", "CtrlStr3", "CtrlStr4", "CtrlTime1", "CtrlTime2", "CtrlTime3", "CtrlTime4", "LastUser"})
